LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 05-14-2006, 03:52 PM   #1
ikiini
LQ Newbie
 
Registered: May 2006
Posts: 6

Rep: Reputation: 0
problem with ndiswrapper.


hey all,

i am a newbie to the world of linux. here is my problem. i want to install a wireless card. there are no linux drivers. so from what i read i have to install ndiswrapper. i DL ndiswrapper to the directory ndiswrapper and extracted it there. I went into the ndiswrapper-1.16 directory and typed make install. I got the error message:

cannot find kernel build files in /lib/modules/2.6.15-1.2054_FC5/build.

when i looked at that directory i saw that the build and source files were highlighted in red (broken). can some one please please help me. i am very very new to linux and i need to have this card installed for a class ptroject thats dues before wednesday this week. I am stuck now.

-B
 
Old 05-14-2006, 04:33 PM   #2
Brian1
Guru
 
Registered: Jan 2003
Location: Seymour, Indiana
Distribution: Distribution: RHEL 5 with Pieces of this and that. Kernel 2.6.23.1, KDE 3.5.8 and KDE 4.0 beta, Plu
Posts: 5,700

Rep: Reputation: 61
Check out this Wiki on FC and ndiswrapper install.
http://ndiswrapper.sourceforge.net/m....php/Main_Page

Ndiswrapper requires kernel source as stated in the installation pages. The issue with FC distros is when it installs it does not install the kernel-devel-*****.rpm that matches the current running kernel. You can get the kernel version with the command ' uname -r '. So if you have updated the kernel from the precompiled rpms you need to install the kernel-devel that matches. Then recompile the ndiswrapper to work with that kernel.

Or you can use yum and the right repo to install the ndiswrapper that matches the kernel version.

Or goto here and get the one that matches your distro and installed kernel version. http://www.atrpms.net/

Also several thousand post here on LQ the subject. Just use the search button to find more info as well.

Brian1
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ndiswrapper 1.14 problem an-arhos Linux - Wireless Networking 0 05-01-2006 04:38 AM
ndiswrapper problem. xVern Linux - Hardware 2 09-07-2005 06:39 PM
Ndiswrapper Problem Michael_C15 Linux - Software 8 04-19-2005 03:55 PM
ndiswrapper problem slackman Linux - Wireless Networking 2 01-07-2005 02:32 PM
ndiswrapper problem chien_11 Linux - Wireless Networking 7 06-27-2004 08:18 AM


All times are GMT -5. The time now is 06:58 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration